Subject: Stateful Address Config - I-D ACTION:draft-ietf-ipv6-node-requirements-00.txt

From: "Adam Machalek" <[email-masked]>
Date: Fri, 21 Jun 2002 10:52:29 -0500

John,

Section 5.4 on DHCPv6 states that DHCPv6 is unconditionally optional, 
which today implicitly makes Stateful Address config optional. 

However, I'd like to see some direct clarification in this document on 
Stateful Address config, probably directly after Section 4.5.2 discussing 
Stateless Address config. 

RFC2462 has some ambiguities, in particular, it states "a managed address 
configuration flag indicates whether hosts should use stateful 
autoconfiguration", not SHOULD.   Later in 2462 in section 5.2 it 
continues this ambiguity by never explicitly using MAY/SHOULD/MUST 
anywhere.

Still later in section RFC2462 5.5.2 Absence of Router Advertisements, it 
finally states that in the absence of a router, a host MUST attempt to use 
stateful autoconfiguration.

And lastly, the DHCPv6 draft states "DHCP is one vehicle to perform 
stateful autoconfiguration", implying that there may be others. 

So in the end, even with DHCPv6 optional, this doesn't clarify exactly 
what a host should do about Stateful Address autoconfiguration.

Adam Machalek

---

From: [email-masked]
Date: Sat, 22 Jun 2002 10:53:34 +0300

Hi Adam,

Very good point, I knew I was forgetting this point.  I will try to add some test to the update about this.
 
I think that that stateful address config is probably conditionally mandatory (or even unconditionally 
mandatory.  The section on 2462 needs this info.  Also, we need some extra text in DHCPv6 to discuss this,
as well.
 
Thanks,
John

-----Original Message-----
From: ext Adam Machalek [mailto:[email-masked]]
Sent: 21 June, 2002 18:52
To: [email-masked]
Subject: Stateful Address Config - I-D ACTION:draft-ietf-ipv6-node-requirements-00.txt

John, 

Section 5.4 on DHCPv6 states that DHCPv6 is unconditionally optional, which today implicitly makes Stateful Address config optional.   

However, I'd like to see some direct clarification in this document on Stateful Address config, probably directly after Section 4.5.2 discussing Stateless Address config.   

RFC2462 has some ambiguities, in particular, it states "a managed address configuration flag indicates whether hosts should use stateful autoconfiguration", not SHOULD.   Later in 2462 in section 5.2 it continues this ambiguity by never explicitly using MAY/SHOULD/MUST anywhere. 

Still later in section RFC2462 5.5.2 Absence of Router Advertisements, it finally states that in the absence of a router, a host MUST attempt to use stateful autoconfiguration. 

And lastly, the DHCPv6 draft states "DHCP is one vehicle to perform stateful autoconfiguration", implying that there may be others. 

So in the end, even with DHCPv6 optional, this doesn't clarify exactly what a host should do about Stateful Address autoconfiguration. 

Adam Machalek

---

From: [email-masked]
Date: Fri, 28 Jun 2002 13:54:18 +0300

Hi Adam,
 
Very good point.  I have added the following text:

4.5.5 Stateful Address Autoconfiguration<?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

IPv6 Stateless Address Autoconfiguration [RFC2462] defines stateless address autoconfiguation.  However, it does state that in the absence of routers, hosts must perform host MUST attempt to use stateful autoconfiguration.  There is also reference to stateful address autoconfiguration being defined elsewhere. Additionally, DHCP [DHCP] states that it is on option for stateful address autoconfiguation.  

From the current set of specification, it is not clear the level of support that is needed for statefull Address Autoconfiguration.

-----Original Message-----
From: ext Adam Machalek [mailto:[email-masked]]
Sent: 21 June, 2002 18:52
To: [email-masked]
Subject: Stateful Address Config - I-D ACTION:draft-ietf-ipv6-node-requirements-00.txt

John, 

Adam Machalek